<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>RValue (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RValue (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/ReturnException.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Sequence.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/RValue.html" target="_top">Frames</a></li>
<li><a href="RValue.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.expression.runtime</div>
<h2 title="Interface RValue" class="title">Interface RValue</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Break.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Break</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Conditional.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Conditional</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Constant.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Constant</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/For.html" title="class in com.sk89q.worldedit.internal.expression.runtime">For</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValueFunction.html" title="class in com.sk89q.worldedit.internal.expression.runtime">LValueFunction</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Return.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Return</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Sequence.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Sequence</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/SimpleFor.html" title="class in com.sk89q.worldedit.internal.expression.runtime">SimpleFor</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Switch.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Switch</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/UnboundVariable.html" title="class in com.sk89q.worldedit.internal.expression.parser">UnboundVariable</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Variable</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/While.html" title="class in com.sk89q.worldedit.internal.expression.runtime">While</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RValue</span>
extends <a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></pre>
<div class="block">A value that can be used on the right side of an assignment.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/Expression.html" title="class in com.sk89q.worldedit.internal.expression">Expression</a>&nbsp;expression,
             boolean&nbsp;preferLValue)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#getValue--">getValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#optimize--">optimize</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.internal.expression.Identifiable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.internal.expression.<a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#getPosition--">getPosition</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#id--">id</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>double&nbsp;getValue()
         throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="optimize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>optimize</h4>
<pre><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;optimize()
         throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bindVariables</h4>
<pre><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;bindVariables(<a href="../../../../../../com/sk89q/worldedit/internal/expression/Expression.html" title="class in com.sk89q.worldedit.internal.expression">Expression</a>&nbsp;expression,
                     boolean&nbsp;preferLValue)
              throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/ParserException.html" title="class in com.sk89q.worldedit.internal.expression.parser">ParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/ParserException.html" title="class in com.sk89q.worldedit.internal.expression.parser">ParserException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/ReturnException.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Sequence.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/RValue.html" target="_top">Frames</a></li>
<li><a href="RValue.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
